Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotToolbarPushButton

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<ToolItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
              org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarPushButton

    public class SWTBotToolbarPushButton

extends SWTBotToolbarButton

Author:
  Mariot Chauvin <mariot [dot] chauvin [at] obeo [dot] fr>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotToolbarPushButton(ToolItem w)` Constructs an new instance of this item.
`SWTBotToolbarPushButton(ToolItem w, SelfDescribing description)` Constructs an new instance of this item.

Method Summary
`SWTBotToolbarPushButton` | `click()` Click on the tool item.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
`isEnabled, sendNotifications`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotToolbarPushButton

    public SWTBotToolbarPushButton(ToolItem w)
                            throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotToolbarPushButton

    public SWTBotToolbarPushButton(ToolItem w,
                                   SelfDescribing description)
                            throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### click

    public SWTBotToolbarPushButton click()

  Click on the tool item.

  Specified by:
    `click` in class `SWTBotToolbarButton`
  Returns:
    itself.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD